<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Show Your Love! - Donation Form</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f7f7f7;
            color: #333;
        }
        .container {
            max-width: 600px;
            margin-top: 20px;
            padding: 20px;
            background-color: #f8f8f8;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        }
        .form-group label {
            font-weight: bold;
        }
        .btn-custom {
            background-color: #ff8c94;
            color: #ffffff;
            font-weight: bold;
        }
        .btn-custom:hover {
            background-color: #e07a82;
        }
    </style>
</head>
<body>
    <div class="container">
        <h2 class="text-center mb-4">Show Your Love - Make a Donation</h2>
        <form action="handle_form.php" method="post">
            <div class="form-group">
                <label for="fname">First Name:</label>
                <input type="text" class="form-control" id="fname" name="fname" required>
            </div>
            <div class="form-group">
                <label for="lname">Last Name:</label>
                <input type="text" class="form-control" id="lname" name="lname" required>
            </div>
            <div class="form-group">
                <label for="email">Email:</label>
                <input type="email" class="form-control" id="email" name="email" required>
            </div>
            <div class="form-group">
                <label for="donation_type">Donation Type:</label>
                <select class="form-control" id="donation_type" name="donation_type" required>
                    <option value="Cash">Cash</option>
                    <option value="Clothing">Clothing</option>
                    <option value="Electronics">Electronics</option>
                    <option value="Food">Food</option>
                    <option value="Supplies">Supplies</option>
                    <option value="Appliances">Appliances</option>
                </select>
            </div>
            <div class="form-group">
                <label for="value">Donation Value (in USD):</label>
                <input type="number" class="form-control" id="value" name="value" min="1" required>
            </div>
            <div class="form-group">
                <label>Date of Donation:</label>
                <input type="date" name="date"><br>
            </div>
            <div class="form-group">
                <label>Volunteer Interests:</label><br>
                <input type="checkbox" name="volunteer_interests[]" value="Packing and sorting"> Packing and sorting<br>
                <input type="checkbox" name="volunteer_interests[]" value="Driving supplies to locations"> Driving supplies to locations<br>
                <input type="checkbox" name="volunteer_interests[]" value="Distributing donations"> Distributing donations<br>
            </div>
            <div class="form-group">
                <label for="comments">Comments:</label>
                <textarea class="form-control" id="comments" name="comments" rows="3"></textarea>
            </div>
            <button type="submit" class="btn btn-custom btn-block">Submit Donation</button>
        </form>
    </div>
</body>
</html>
